2016-09-25 13:30 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000825OpenFOAM[All Projects] Bugpublic2013-12-13 16:56
Reporterrperry 
Assigned Touser4 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformSuse enterprise 10OSOtherOS Version(please specify)
Product Version 
Target VersionFixed in Version 
Summary0000825: snappyHexMesh checkMesh -meshQuality flag does not work for skewness limits
DescriptionThis was pointed out during the Friday session of the users conference:

When running checkMesh with the -meshQuality flag for user defined mesh quality, ZERO cells are marked as violating the boundary or internal skew limits, even when the standard checkMesh output shows cells which definitely are above this limit.
Steps To ReproduceSimply run checkMesh on any case with the -meshQuality flag, and set the skew limits in meshQualityDict to be lower than the known maximum skew. The first run of checkMesh will report the correct max skew and number of violating elements, and the second run on the custom criteria will not.
TagscheckMesh, snappyHexMesh
Attached Files

-Relationships
+Relationships

-Notes

~0002686

user4

checks in checkMesh and snappyHexMesh now consistent
+Notes

-Issue History
Date Modified Username Field Change
2013-04-29 10:44 rperry New Issue
2013-04-29 10:49 rperry Tag Attached: snappyHexMesh
2013-04-29 10:49 rperry Tag Attached: checkMesh
2013-12-13 16:56 user4 Note Added: 0002686
2013-12-13 16:56 user4 Status new => resolved
2013-12-13 16:56 user4 Fixed in Version => 2.2.x
2013-12-13 16:56 user4 Resolution open => fixed
2013-12-13 16:56 user4 Assigned To => user4
+Issue History